# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.fruit_offering import FruitOffering


class FruitOfferingDB(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    FruitOfferingDB - a model defined in OpenAPI

        id: The id of this FruitOfferingDB.
        fruit_offering: The fruit_offering of this FruitOfferingDB.
        state: The state of this FruitOfferingDB.
    """

    id: str = Field(alias="id")
    fruit_offering: FruitOffering = Field(alias="fruitOffering")
    state: str = Field(alias="state")

FruitOfferingDB.update_forward_refs()
